QT5 Error in I.Mx8mmini

cancel
Showing results for 
Search instead for 
Did you mean: 

QT5 Error in I.Mx8mmini

207 Views
Contributor IV

Hi,

 Iam trying to add the QT5 for GUI development work.

I tried below

QT5_local_config.png

and I am getting error as below

QT5_Compile_Error.png

also tried as per the reference manual

QT5_Manual.png

and compiled yocto using below command

fsl-image-qt5-validation-imx

and got the error as below

QT5_Error.png

How can we resolve this issue

Regards

Santhosh

0 Kudos
4 Replies

3 Views
NXP TechSupport
NXP TechSupport

what backend do you build? x11 or wayland? try to use wayland to build qt5

0 Kudos

3 Views
Contributor IV

Hi Joan,

I got this error when i compiled for QT5

Below is the packages added in local.conf

DISTRO_FEATURES_append = " x11 "
CORE_IMAGE_EXTRA_INSTALL += "opencv opencv-samples libopencv-core libopencv-imgproc"
CORE_IMAGE_EXTRA_INSTALL += "libopencv-core-dev libopencv-highgui-dev libopencv-imgproc-dev libopencv-objdetect-dev libopencv-ml-dev "
IMAGE_INSTALL_append = " gtk+ gtk+3 "
EXTRA_IMAGE_FEATURES += " libgtk2.0-dev pkg-config "

QT5_Error1.png

0 Kudos

3 Views
Senior Contributor II

Hi Santhosh Kumar,

As mentioned in i.MX Yocto project user guide Rev. L4.14.98-2.0.0_ga, Frame buffer and X11 graphics are not supported in i.MX 8.

Regards,

Karan Gajjar

0 Kudos

3 Views
Contributor IV

Joan,

I have used x11 to build

Regards

Santhosh

0 Kudos